Subject: Re: net: macb: fail when there's no PHY

From: Andrew Lunn <[email-masked]>
Date: Thu, 3 Dec 2020 05:07:58 +0100

> So I can avoid my local hack to macb_main.c by doing a doing a local
> hack to macb_main.c?

User space drivers were never supported in any meaningful way. The
IOCTL call is basically there for mii-tool, and nothing much more.

The way to avoid your local hack is to move your drivers into the
kernel, along side all the other drivers for devices on MDIO busses.

	Andrew